## org.apache.cassandra.client
Class RingCache

    java.lang.Object
      org.apache.cassandra.client.RingCache

    public class RingCache

extends java.lang.Object

A class for caching the ring map at the client. For usage example, see test/unit/org.apache.cassandra.client.TestRingCache.java.

Constructor Summary
`RingCache()`

Method Summary
`java.util.List<java.net.InetAddress>` `getEndPoint(java.lang.String table, java.lang.String key)`
`void` `refreshEndPointMap()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RingCache

    public RingCache()

Method Detail

### refreshEndPointMap

    public void refreshEndPointMap()

### getEndPoint

    public java.util.List<java.net.InetAddress> getEndPoint(java.lang.String table,
                                                            java.lang.String key)

Copyright © 2010 The Apache Software Foundation